Peer::Close() can get stuck waiting for the pending request semaphore
We found a performance regression with commit https://github.com/YugaByte/yugabyte-db/commit/4f445a34a574f857ce9c520dfa4573eb472d91cf. Reverting it and reopening the issue.